import 'package:flutter/material.dart';
import 'package:idkit/idkit.dart';

/// Floating marker
class FloatingMark extends StatelessWidget {
  const FloatingMark({
    super.key,
    this.width = 1,
    this.color = Colors.blue,
    this.indent = 2,
    this.radius,
  });
  final double width;
  final Color? color;
  final double indent;
  final double? radius;

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        color: color,
        borderRadius: BorderRadius.vertical(
          top: Radius.circular(radius ?? width),
          bottom: Radius.circular(radius ?? width),
        ),
      ),
      width: width,
    ).insetsSymmetric(vertical: indent);
  }
}
